Logger (Apache JMeter dist API)
Description: declaration: package: org.apache.log, class: Logger

Package org.apache.log

# Class Logger

java.lang.Object
org.apache.log.Logger

@Deprecated public abstract class Logger extends Object
Deprecated.
Will be dropped in 3.3
The object interacted with by client objects to perform logging.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final char`
  `CATEGORY_SEPARATOR`
  Deprecated.
  Will be dropped in 3.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Logger()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `debug(String message)`
  Deprecated.
  Log a debug priority event.
  `abstract void`
  `debug(String message, Throwable throwable)`
  Deprecated.
  Log a debug priority event.
  `abstract void`
  `error(String message)`
  Deprecated.
  Log a error priority event.
  `abstract void`
  `error(String message, Throwable throwable)`
  Deprecated.
  Log a error priority event.
  `abstract void`
  `fatalError(String message)`
  Deprecated.
  Log a fatalError priority event.
  `abstract void`
  `fatalError(String message, Throwable throwable)`
  Deprecated.
  Log a fatalError priority event.
  `abstract Logger`
  `getChildLogger(String subCategory)`
  Deprecated.
  Create a new child logger.
  `Logger[]`
  `getChildren()`
  Deprecated.
  Will be dropped in 3.3
  `abstract void`
  `info(String message)`
  Deprecated.
  Log a info priority event.
  `abstract void`
  `info(String message, Throwable throwable)`
  Deprecated.
  Log a info priority event.
  `abstract boolean`
  `isDebugEnabled()`
  Deprecated.
  Determine if messages of priority DEBUG will be logged.
  `abstract boolean`
  `isErrorEnabled()`
  Deprecated.
  Determine if messages of priority ERROR will be logged.
  `abstract boolean`
  `isFatalErrorEnabled()`
  Deprecated.
  Determine if messages of priority FATAL_ERROR will be logged.
  `abstract boolean`
  `isInfoEnabled()`
  Deprecated.
  Determine if messages of priority INFO will be logged.
  `abstract boolean`
  `isPriorityEnabled(Priority priority)`
  Deprecated.
  Determine if messages of priority will be logged.
  `abstract boolean`
  `isWarnEnabled()`
  Deprecated.
  Determine if messages of priority WARN will be logged.
  `abstract void`
  `log(Priority priority, String message)`
  Deprecated.
  Log a event at specific priority with a certain message.
  `abstract void`
  `log(Priority priority, String message, Throwable throwable)`
  Deprecated.
  Log a event at specific priority with a certain message and throwable.
  `void`
  `setAdditivity(boolean additivity)`
  Deprecated.
  Will be dropped in 3.3
  `void`
  `setLogTargets(LogTarget[] logTargets)`
  Deprecated.
  Will be dropped in 3.3
  `void`
  `setPriority(Priority priority)`
  Deprecated.
  Will be dropped in 3.3
  `void`
  `unsetLogTargets()`
  Deprecated.
  Will be dropped in 3.3
  `void`
  `unsetLogTargets(boolean recursive)`
  Deprecated.
  Will be dropped in 3.3
  `void`
  `unsetPriority()`
  Deprecated.
  Will be dropped in 3.3
  `void`
  `unsetPriority(boolean recursive)`
  Deprecated.
  Will be dropped in 3.3
  `abstract void`
  `warn(String message)`
  Deprecated.
  Log a warn priority event.
  `abstract void`
  `warn(String message, Throwable throwable)`
  Deprecated.
  Log a warn priority event.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CATEGORY_SEPARATOR

    @Deprecated public static final char CATEGORY_SEPARATOR
    Deprecated.
    Will be dropped in 3.3
    Separator character use to separate different categories
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Logger

    public Logger()
    Deprecated.

- ## Method Details

  - ### isDebugEnabled

    public abstract boolean isDebugEnabled()
    Deprecated.
    Determine if messages of priority DEBUG will be logged.
    Returns:
      true if DEBUG messages will be logged

  - ### debug

    public abstract void debug(String message, Throwable throwable)
    Deprecated.
    Log a debug priority event.
    Parameters:
      `message` - the message
      `throwable` - the throwable

  - ### debug

    public abstract void debug(String message)
    Deprecated.
    Log a debug priority event.
    Parameters:
      `message` - the message

  - ### isInfoEnabled

    public abstract boolean isInfoEnabled()
    Deprecated.
    Determine if messages of priority INFO will be logged.
    Returns:
      true if INFO messages will be logged

  - ### info

    public abstract void info(String message, Throwable throwable)
    Deprecated.
    Log a info priority event.
    Parameters:
      `message` - the message
      `throwable` - the throwable

  - ### info

    public abstract void info(String message)
    Deprecated.
    Log a info priority event.
    Parameters:
      `message` - the message

  - ### isWarnEnabled

    public abstract boolean isWarnEnabled()
    Deprecated.
    Determine if messages of priority WARN will be logged.
    Returns:
      true if WARN messages will be logged

  - ### warn

    public abstract void warn(String message, Throwable throwable)
    Deprecated.
    Log a warn priority event.
    Parameters:
      `message` - the message
      `throwable` - the throwable

  - ### warn

    public abstract void warn(String message)
    Deprecated.
    Log a warn priority event.
    Parameters:
      `message` - the message

  - ### isErrorEnabled

    public abstract boolean isErrorEnabled()
    Deprecated.
    Determine if messages of priority ERROR will be logged.
    Returns:
      true if ERROR messages will be logged

  - ### error

    public abstract void error(String message, Throwable throwable)
    Deprecated.
    Log a error priority event.
    Parameters:
      `message` - the message
      `throwable` - the throwable

  - ### error

    public abstract void error(String message)
    Deprecated.
    Log a error priority event.
    Parameters:
      `message` - the message

  - ### isFatalErrorEnabled

    public abstract boolean isFatalErrorEnabled()
    Deprecated.
    Determine if messages of priority FATAL_ERROR will be logged.
    Returns:
      true if FATAL_ERROR messages will be logged

  - ### fatalError

    public abstract void fatalError(String message, Throwable throwable)
    Deprecated.
    Log a fatalError priority event.
    Parameters:
      `message` - the message
      `throwable` - the throwable

  - ### fatalError

    public abstract void fatalError(String message)
    Deprecated.
    Log a fatalError priority event.
    Parameters:
      `message` - the message

  - ### setAdditivity

    @Deprecated public void setAdditivity(boolean additivity)
    Deprecated.
    Will be dropped in 3.3
    Make this logger additive. I.e. Send all log events to parent loggers LogTargets regardless of whether or not the LogTargets have been overridden. This is derived from Log4js notion of Additivity.
    Parameters:
      `additivity` - true to make logger additive, false otherwise

  - ### isPriorityEnabled

    public abstract boolean isPriorityEnabled(Priority priority)
    Deprecated.
    Determine if messages of priority will be logged.
    Parameters:
      `priority` - the priority
    Returns:
      true if messages will be logged

  - ### log

    public abstract void log(Priority priority, String message, Throwable throwable)
    Deprecated.
    Log a event at specific priority with a certain message and throwable.
    Parameters:
      `priority` - the priority
      `message` - the message
      `throwable` - the throwable

  - ### log

    public abstract void log(Priority priority, String message)
    Deprecated.
    Log a event at specific priority with a certain message.
    Parameters:
      `priority` - the priority
      `message` - the message

  - ### setPriority

    @Deprecated public void setPriority(Priority priority)
    Deprecated.
    Will be dropped in 3.3
    Set the priority for this logger.
    Parameters:
      `priority` - the priority

  - ### unsetPriority

    @Deprecated public void unsetPriority()
    Deprecated.
    Will be dropped in 3.3
    Unset the priority of Logger. (Thus it will use it's parent's priority or DEBUG if no parent.

  - ### unsetPriority

    @Deprecated public void unsetPriority(boolean recursive)
    Deprecated.
    Will be dropped in 3.3
    Unset the priority of Logger. (Thus it will use it's parent's priority or DEBUG if no parent. If recursive is true unset priorities of all child loggers.
    Parameters:
      `recursive` - true to unset priority of all child loggers

  - ### setLogTargets

    @Deprecated public void setLogTargets(LogTarget[] logTargets)
    Deprecated.
    Will be dropped in 3.3
    Set the log targets for this logger.
    Parameters:
      `logTargets` - the Log Targets

  - ### unsetLogTargets

    @Deprecated public void unsetLogTargets()
    Deprecated.
    Will be dropped in 3.3
    Unset the logtargets for this logger. This logger (and thus all child loggers who don't specify logtargets) will inherit from the parents LogTargets.

  - ### unsetLogTargets

    @Deprecated public void unsetLogTargets(boolean recursive)
    Deprecated.
    Will be dropped in 3.3
    Unset the logtargets for this logger and all child loggers if recursive is set. The loggers unset (and all child loggers who don't specify logtargets) will inherit from the parents LogTargets.
    Parameters:
      `recursive` - the recursion policy

  - ### getChildren

    @Deprecated public Logger[] getChildren()
    Deprecated.
    Will be dropped in 3.3
    Get all the child Loggers of current logger.
    Returns:
      the child loggers

  - ### getChildLogger

    public abstract Logger getChildLogger(String subCategory)
    Deprecated.
    Create a new child logger. The category of child logger is [current-category].subcategory
    Parameters:
      `subCategory` - the subcategory of this logger
    Returns:
      the new logger
    Throws:
      `IllegalArgumentException` - if subCategory has an empty element name